% PSTricks TeX macro
% Title: C:\SW01\dia\gMessage_id.dia
% Creator: Dia v0.92
% CreationDate: Sun May 09 21:44:04 2004
% For: badman
% \usepackage{pstricks}
% The following commands are not supported in PSTricks at present
% We define them conditionally, so when they are implemented,
% this pstricks file will use them.
\ifx\setlinejoinmode\undefined
  \newcommand{\setlinejoinmode}[1]{}
\fi
\ifx\setlinecaps\undefined
  \newcommand{\setlinecaps}[1]{}
\fi
% This way define your own fonts mapping (for example with ifthen)
\ifx\setfont\undefined
  \newcommand{\setfont}[2]{}
\fi
\pspicture(7.825900,-29.356000)(32.543700,-20.550000)
\scalebox{1.000000 -1.000000}{
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\newrgbcolor{diafillcolor}{1.000000 1.000000 1.000000}
\psset{fillcolor=diafillcolor}
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(7.875900,20.894000)(7.875900,22.694000)(13.925900,22.694000)(13.925900,20.894000)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(7.875900,20.894000)(7.875900,22.694000)(13.925900,22.694000)(13.925900,20.894000)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(10.900900,22.144000){\scalebox{1 -1}{PDAController}}
\psset{linewidth=0.050000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(8.375900,22.294000)(13.425900,22.294000)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(18.703500,20.894000)(18.703500,22.694000)(21.403500,22.694000)(21.403500,20.894000)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(18.703500,20.894000)(18.703500,22.694000)(21.403500,22.694000)(21.403500,20.894000)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(20.053500,22.144000){\scalebox{1 -1}{PDA}}
\psset{linewidth=0.050000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(19.203500,22.294000)(20.903500,22.294000)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(22.225900,20.894000)(22.225900,22.694000)(26.475900,22.694000)(26.475900,20.894000)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(22.225900,20.894000)(22.225900,22.694000)(26.475900,22.694000)(26.475900,20.894000)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(24.350900,22.144000){\scalebox{1 -1}{pda:PDA}}
\psset{linewidth=0.050000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(22.725900,22.294000)(25.975900,22.294000)
\psset{linewidth=0.050000}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(20.053500,22.694000)(20.053500,29.292000)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(19.703500,23.937770)(19.703500,24.800000)(20.403500,24.800000)(20.403500,23.937770)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(19.703500,23.937770)(19.703500,24.800000)(20.403500,24.800000)(20.403500,23.937770)
\psset{linewidth=0.050000}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(24.350900,22.694000)(24.350900,29.292000)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(24.000900,25.541770)(24.000900,26.166810)(24.700900,26.166810)(24.700900,25.541770)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(24.000900,25.541770)(24.000900,26.166810)(24.700900,26.166810)(24.700900,25.541770)
\psset{linewidth=0.050000}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(10.900900,22.694000)(10.900900,29.252900)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(10.550900,23.944000)(10.550900,27.729400)(11.250900,27.729400)(11.250900,23.944000)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(10.550900,23.944000)(10.550900,27.729400)(11.250900,27.729400)(11.250900,23.944000)
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(18.853500,23.938396)(11.250900,23.944000)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(18.853684,24.188396)(19.653500,23.937807)(18.853316,23.688397)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(15.173600,23.760985){\scalebox{1 -1}{pda:=find(pdaID):PDA}}
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(27.243700,20.894000)(27.243700,22.694000)(32.493700,22.694000)(32.493700,20.894000)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(27.243700,20.894000)(27.243700,22.694000)(32.493700,22.694000)(32.493700,20.894000)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(29.868700,22.144000){\scalebox{1 -1}{pers:Person}}
\psset{linewidth=0.050000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(27.743700,22.294000)(31.993700,22.294000)
\psset{linewidth=0.050000}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(29.868700,22.694000)(29.868700,29.331000)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{1.000000 1.000000 1.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(29.518700,26.800000)(29.518700,27.690340)(30.218700,27.690340)(30.218700,26.800000)
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon(29.518700,26.800000)(29.518700,27.690340)(30.218700,27.690340)(30.218700,26.800000)
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(12.100851,24.881265)(19.703500,24.800000)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(12.098179,24.631279)(11.300897,24.889816)(12.103524,25.131251)
\setfont{Helvetica}{0.800000}
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(23.150900,25.541772)(11.196520,25.541800)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(23.150901,25.791772)(23.950900,25.541770)(23.150899,25.291772)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(17.598700,25.541785){\scalebox{1 -1}{pers:=getUser()}}
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(12.085586,26.203297)(24.000900,26.166810)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(12.084820,25.953298)(11.285590,26.205747)(12.086352,26.453296)
\setfont{Helvetica}{0.800000}
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(28.668700,26.799211)(11.250900,26.783050)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(28.668468,27.049211)(29.468700,26.799954)(28.668932,26.549211)
\setfont{Helvetica}{0.800000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\rput(20.384755,26.791575){\scalebox{1 -1}{getMessages()}}
\psset{linewidth=0.100000}
\setlinecaps{0}
\psset{linestyle=solid}
\psset{linestyle=dashed,dash=0.400000 0.400000}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(12.100898,27.727583)(29.518700,27.690340)
\setlinejoinmode{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\pspolygon*(12.100364,27.477583)(11.300900,27.729293)(12.101433,27.977582)
\setfont{Helvetica}{0.800000}
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\psset{linestyle=solid}
\setlinejoinmode{0}
\setlinecaps{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(18.900000,20.900000)(18.900000,20.900000)(18.900000,20.600000)(21.700000,20.600000)
\psset{linewidth=0.100000}
\psset{linestyle=solid}
\psset{linestyle=solid}
\setlinejoinmode{0}
\setlinecaps{0}
\newrgbcolor{dialinecolor}{0.000000 0.000000 0.000000}
\psset{linecolor=dialinecolor}
\psline(21.700000,20.600000)(21.700000,22.400000)(21.400000,22.400000)(21.400000,22.400000)
}\endpspicture